package evote.commissioner;

import java.io.*;
import java.math.BigInteger;

import evote.commissioner.complaints.*;
import evote.network.message.*;

public class ComplaintReader {
  
  public static void mail(String args[]) {
    RandomAccessFile raf;

    File comp = new File(args[0]);
    if (comp.exists()) {
      try {
	raf = new RandomAccessFile(comp, "r");
	ComplaintMessage cm = (ComplaintMessage);
	System.out.println("Sender: " + cm.getSender());
	System.out.println("Receiver: " + cm.getRecipient());
	Complaint cmpl = cm.getComplaint();
	System.out.println("Plaintif: " + cmpl.getPaintif());
	System.out.println("Defendant: " + cmpl.getDefendant());
	System.out.println("Problem: " + cmpl.getProblemString());
	System.out.println("Time complaint made: " + cmpl.getTimeMade());
	System.out.println("Time complaint received: " + cmpl.getTimeReceived());
      } catch (Exception exp) {
	System.out.println("Error reading file.");
      }
    } else {
      System.out.println("File " + args[0] + " does not exist.");
    }
    System.exit(0);
  }
}
