package evote.lang;

import java.io.Serializable;

import evote.crypto.*;

/**
  This class creates an object to identify the voter.  This object
  includes the voters name and password.  Both fields are private (ck)
 */
public class VoterIdentityObject implements Serializable,Cloneable {

  // change to private?
  public String name = null;
  public String password = null;

  /**
    Create a VoterIdentityObject with the specified name and passowrd
   */
  public VoterIdentityObject(String n, String p) {
    // may want to remove whitespace and capitolize
    name = n;
    password = p;
  } /* VoterIdentityObject(string n, password p) */

  /**
    Returns the objects name.
   */
  public String getName() {
    return name;
  }

  /**
    Returns the objects password.
   */
  public String getPassword() {
    return password;
  }

} /* public class VoterIdentityObject */
