/* Edit User Window
 */

package evote.registrar;

import evote.identity.*;

public class EditUserWindow extends UserWindow {

  private Registrar myRegistrar;
  private User myUser;
  private String oldUserName;
  
  public EditUserWindow(User u, Registrar reg) {
    super(reg, "Editing User " + u.getUserName());
    myUser= u;
    myRegistrar= reg;
    oldUserName= u.getUserName();

    userName.setEditable(false);
    init(u.getLastName(),u.getFirstName(),u.getEmailAddress(),u.getUserName(),"Enter OLD password here", "Enter NEW password here");
  }

  public boolean ok(String lastN, String firstN, String emailA, String userN, String passW, String passwordV) {

    if (myUser.edit(lastN, firstN, emailA, passW)) {
      myUser.setPassword(passW,passwordV);
      myRegistrar.delete(oldUserName);
      myRegistrar.add(userN);
      return(true);
    }

    return(false);
  }

  public void cancel() {
  }
}
      
