/*
 * QuestionListMessage: a message that contains a question list
 * the administrator sends this after a successful logon
 */

package evote.network.message;

import java.io.*;
import evote.lang.*;
import evote.network.server.Message;
import evote.question.*;

public class QuestionListMessage extends Message {
  
  private QuestionList questionList;
  private byte[] signature;

  public QuestionListMessage(QuestionList ql) {
    super("","");
    questionList= ql;
  }

  public QuestionList getQuestionList() {
    return(questionList);
  }

  public void setSignature(byte[] sign) {
    signature= sign;
  }

  public byte[] getSignature() {
    return(signature);
  }

}
