/* Add User Window
 */

package evote.registrar;

import evote.identity.*;

public class AddUserWindow extends UserWindow {
  
  private UserList myUserList;
  private Registrar myRegistrar;

  public AddUserWindow(Registrar reg, UserList ul) {
    super(reg, "Adding a New User");
    myUserList= ul;
    myRegistrar= reg;
  }
  
  public void cancel() {
  }

  public boolean ok(String lastN, String firstN, String emailA, String userN, String passW, String passwordV) {
    if (!passW.equals(passwordV))
      return(false);

    User u= new User(userN, lastN, firstN, emailA);
    u.setPassword(null, passW);
    
    try {
      myUserList.addUser(u);
    } catch(UserNameTakenException unte) {
      return(false);
    }

    myRegistrar.add(userN);
    return(true);
  }
}
    
